Bug 971095 - Manage Organizations: Multiple, duplicitious Organization(s) tab(s)
Summary: Manage Organizations: Multiple, duplicitious Organization(s) tab(s)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning   
(Show other bugs)
Version: Nightly
Hardware: Unspecified Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: jmagen@redhat.com
QA Contact: Tazim Kolhar
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-05 16:26 UTC by Corey Welton
Modified: 2016-04-26 00:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 14:07:52 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Welton 2013-06-05 16:26:54 UTC
Description of problem:
On the Manage Organizations view, we have two tabs, 'Organization' and 'Organizations', both of which seem to have the same content.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Navigate to Foreman > More > Organizations
2. Click on org name
3. Observe tabs for view; navigate to both Organization and Organizations tabs

Actual results:

Organization
Users
Smart Proxies
Subnets
Compute Resources
Media
Templates
Domains
Environments
Host groups
Organizations

Expected results:

No duplicitious tabs.

Additional info:

Comment 1 Corey Welton 2013-06-05 16:27:09 UTC
* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.9-1.el6_4.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.9-1.el6_4.noarch
* candlepin-tomcat6-0.8.9-1.el6_4.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.1.10002-44.noarch
* foreman-ec2-1.1.10002-44.noarch
* foreman-installer-puppet-concat-0-2.d776701.git.0.21ef926.el6sat.noarch
* foreman-installer-puppet-dhcp-0-5.3a4a13c.el6sat.noarch
* foreman-installer-puppet-dns-0-7.fcae203.el6sat.noarch
* foreman-installer-puppet-foreman-0-6.568c5c4.el6sat.noarch
* foreman-installer-puppet-foreman_proxy-0-8.bd1e35d.el6sat.noarch
* foreman-installer-puppet-puppet-0-3.ab46748.el6sat.noarch
* foreman-installer-puppet-tftp-0-5.ea6c5e5.el6sat.noarch
* foreman-installer-puppet-xinetd-0-50a267b8.git.0.44aca6a.el6sat.noarch
* foreman-libvirt-1.1.10002-44.noarch
* foreman-postgresql-1.1.10002-44.noarch
* foreman-proxy-1.1.10002-1.el6sat.noarch
* foreman-proxy-installer-1.0.1-8.f5ae2cd.el6sat.noarch
* katello-1.4.2-8.el6sat.noarch
* katello-all-1.4.2-8.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.2-6.el6sat.noarch
* katello-cli-common-1.4.2-6.el6sat.noarch
* katello-common-1.4.2-8.el6sat.noarch
* katello-configure-1.4.3-12.el6sat.noarch
* katello-configure-foreman-1.4.3-12.el6sat.noarch
* katello-foreman-all-1.4.2-8.el6sat.noarch
* katello-glue-candlepin-1.4.2-8.el6sat.noarch
* katello-glue-elasticsearch-1.4.2-8.el6sat.noarch
* katello-glue-pulp-1.4.2-8.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.3-3.el6sat.noarch
* openldap-2.4.23-32.el6_4.1.x86_64
* openldap-devel-2.4.23-32.el6_4.1.x86_64
* pulp-rpm-plugins-2.1.1-1.el6sat.noarch
* pulp-selinux-2.1.1-1.el6sat.noarch
* pulp-server-2.1.1-1.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.1.7-3.el6sat.noarch
* ruby193-rubygem-net-ldap-0.2.2-7.el6_4.noarch
* signo-0.0.15-1.el6sat.noarch
* signo-katello-0.0.15-1.el6sat.noarch

Comment 2 Dominic Cleal 2013-06-06 07:47:43 UTC
Verified, trivial fix.  This happens when orgs are enabled, but locations disabled.  It correctly doesn't render the tab contents, but the conditional for the tab button is incorrect.

Comment 4 jmagen@redhat.com 2013-09-23 14:26:46 UTC
https://github.com/theforeman/foreman/pull/904

Comment 5 jmagen@redhat.com 2013-09-29 06:35:16 UTC
this fix is merged upstream
https://github.com/theforeman/foreman/commit/f594d9cd5ce8761817b499cf10831650389af72b

Comment 6 Dominic Cleal 2013-10-01 07:17:17 UTC
1.3-stable: 12ea24efd383945b91062f79ed4631c320ad6273

Comment 9 Mike McCune 2013-10-17 21:00:15 UTC
Moving this to be tested during MDP3, not critical for MDP2 success story

Comment 12 Corey Welton 2014-05-12 14:07:17 UTC
This appears to be fixed in the most recent release(s).

Verified in Satellite-6.0.3-RHEL-6-20140508.1

Comment 13 Tazim Kolhar 2014-05-13 07:30:57 UTC
VERIFIED

Comment 14 Bryan Kearney 2014-07-02 14:07:52 UTC
This was delivered with 6.0.3, which is the Satellite 6 Beta.


Note You need to log in before you can comment on or make changes to this bug.